# fzinformer

Bash script to plot statistical information related to fracture zones

## Synopsis

fzinformer [ -D ] [ -F max ] [ -I profile ] [ -N max ] [ -S max ] [ -T prefix ] [ -W max ] [ -V[level] ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

fzinformer is a script developed as part of the Global Seafloor Fabric and Magnetic Lineation Project [see GSFML for a full description of the project]. It make plots of statistical information obtained by fzanalyzer as a function of position along a fracture zone (FZ).

## Optional Arguments

-D

  Use the filtered output from fzblender instead of the raw analysis file in making the plot. This requires that you ran fzblender with the -D option.

-F max

  Sets the maximum F-statistic amplitude for the plot [10000]. A logarithmic scale is used for this panel; all others are linear.

-I profile

  By default we plot all the cross-profiles in one stack. To select a single profile only, append the running number of the profile, where 0 is the first profile.

-N max

  Sets the maximum range of VGG amplitudes (in Eotvos) for the plot [200].

-S max

  Sets the maximum (±) half-range of FZ offsets (in km) [25].

-T prefix

  Sets the file name prefix used when running fzanalyzer and fzblender [The default is fztrack]. The files used here are prefix_analysis.txt (or prefix_filtered.txt if -D is used) and prefix_blend.txt.

-W max

  Sets the maximum range of FZ widths (in km) [50].

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-Z acut/vcut/fcut/wcut

  We will attempt to assign a single quality index Q that summarize how good we believe a model fit to be. This assignment relies of four threshold values that need to be determined empirically. Here, a_cut is the minimum peak-to-trough amplitude (in Eotvos) of a model for the crossing profile [25], v_cut is the minimum variance reduction offered by the model (in %) [50], f_cut is the minimum F statistic computed for the model [50], and w_cut is a typical FZ trough width (in km) [15]. Currently, the first three quantities are used to arrive at a 5-level quality index (0-1) for fitted models, as follows: (1) Very Good: Requires model parameters to exceed all three thresholds; (0.75) Good: Requires amplitude and variance reduction to exceed thresholds; (0.5) Fair: Requires the variance reduction only to exceed its threshold; (0.25) Poor: Requires the amplitude only to exceed its threshold; and (0) Bad: None of the criteria were met. We compute separate quality indices for the trough and blend models. For the empirical trough model we only have estimates or peak-to-trough amplitude, -A, and trough width, -W. Here, we form the ratio (A/a_cut) over (W/w_cut), take \(\tan^{-1}\) of this ratio and scale the result to yield the range 0-1 rounded to the nearest multiple of 0.25.

-bo record[+b|l] (more …)

  Select native binary format for table output.

-do nodata[+c col] (more …)

  Replace output columns that equal NaN with nodata.

-i cols[+l][+d divisor][+s scale|d|k][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-o cols[+l][+d divisor][+s scale|d|k][+o offset][,…][,t[word]] (more …)

  Select output columns and transformations (0 is first column, t is trailing text, append word to write one word only).

-q[i|o][~]rows|limits[+c col][+a|t|s] (more …)

  Select input or output rows or data limit(s) [all].

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Plot Features

fzinformer packs much information into each plot by using different symbols and colors. Empirical information obtained from raw data are shown in red. Information derived from a forced trough FZ model are shown in green, while the information derived from the optimal blend model are shown in blue. We present 7 panels for each FZ. Panel 1 (top) shows how the F-statistic parameter varies with distance for the trough (green) and blend (blue) models. Panel 2 shows the reduction in variance for the same two models. Panel 3 shows the maximum amplitude for the two models and the empirical data (red). Panel 4 shows the width of the FZ signal for all three data. Panel 5 presents the offset (in km) between the digitized trace and the optimal FZ locations (one curve for each type). Panel 6 shows which side (left is -1, right = +1) is the young side assuming a Pacific edge-anomaly model (it will tend to jump back and forth where the signal is close to symmetric and should only be used when we have clearly asymmetric signals). Finally, panel 7 shows the compression parameter C for the blend and trough models, as well as the blend parameter A (black line) for the optimal blend model.

## Examples

To look at the statistics for the 5th (0 is first) FZ analyzed as part of a larger group called traces, accepting default values except we override the maximum amplitude by using 100, try:

    fzinformer -Ttraces -N100 -I5

The statistical plot will be named prefix_stat.pdf.

## See Also

gmt fzanalyzer, fzblender mlconverter, fzmapper, fzmodeler, fzprofiler

## References

Wessel, P., Matthews, K. J., Müller, R. D., Mazzoni, A., Whittaker, J. M., Myhill, R., Chandler, M. T., 2015, “Semiautomatic fracture zone tracking”, Geochem. Geophys. Geosyst., 16 (7), 2462–2472. https://doi.org/10.1002/2015GC005853.